@charset "utf-8";
:root {
  --white:#fff;
  --black:#3a4a66;
  --blue: #00aaff;
  --darkgrey:#f4f6fa;
  --blackopcity:rgb(58 74 102 / 50%);
  --blue2:#0af;
}

@font-face {
  font-family: 'Assistant';
  src: url('../fonts/Assistant-Regular.woff2') format('woff2'),
      url('../fonts/Assistant-Regular.woff') format('woff');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Assistant';
  src: url('../fonts/Assistant-Medium.woff2') format('woff2'),
      url('../fonts/Assistant-Medium.woff') format('woff');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Assistant';
  src: url('../fonts/Assistant-Bold.woff2') format('woff2'),
      url('../fonts/Assistant-Bold.woff') format('woff');
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Assistant';
  src: url('../fonts/Assistant-ExtraBold.woff2') format('woff2'),
      url('../fonts/Assistant-ExtraBold.woff') format('woff');
  font-weight: 800;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Assistant';
  src: url('../fonts/Assistant-ExtraLight.woff2') format('woff2'),
      url('../fonts/Assistant-ExtraLight.woff') format('woff');
  font-weight: 200;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Assistant';
  src: url('../fonts/Assistant-SemiBold.woff2') format('woff2'),
      url('../fonts/Assistant-SemiBold.woff') format('woff');
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Assistant';
  src: url('../fonts/Assistant-Light.woff2') format('woff2'),
      url('../fonts/Assistant-Light.woff') format('woff');
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'Lucida Grande';
  src: url('../fonts/LucidaGrande.woff2') format('woff2'),
      url('../fonts/LucidaGrande.woff') format('woff');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Lucida Grande';
  src: url('../fonts/LucidaGrande-Bold.woff2') format('woff2'),
      url('../fonts/LucidaGrande-Bold.woff') format('woff');
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: 'Geeza Pro';
  src: url('../fonts/GeezaPro.woff2') format('woff2'),
      url('../fonts/GeezaPro.woff') format('woff');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}
body.mimsha_body{font-family: 'Assistant'; text-align: initial; min-width: 767px;}
body.mimsha_body *{direction: rtl;}
h1,h2,h3,h4,h5,h6,p,ul,li {list-style: none;padding: 0px;margin: 0px;}
.mimsha_body li{display: inline-block;position: relative;}
.mimsha_body a{text-decoration: none !important;transition: 0.5s ease all;-webkit-transition: 0.5s ease all; -moz-transition: 0.5s ease all; outline: none !important; font-size: 16px;color: var(--black);}
.mimsha_body button{outline: none;  border: none; transition: 0.5s ease all;-webkit-transition: 0.5s ease all; -moz-transition: 0.5s ease all;}
.mimsha_body i{font-style: normal;}
.mimsha_body img{max-width: 100%;}
.container{max-width: 1440px; padding: 0px 40px;}
.container2{max-width: 1160px;}
.mimsha_body h1{font-size: 26px;font-weight: bold; color: var(--black);}
.mimsha_body h2{font-size: 22px;font-weight: bold; color: var(--black);}
.mimsha_body h4{font-size: 16px; font-weight: bold; color: var(--black);} 
.mimsha_body p{font-size: 16px; color: var(--black);}
.mimsha_body .form-control{width: 100%; height: 45px; background: var(--white); border: none; box-shadow: none; outline: none; font-size: 16px; color: var(--black);font-family: 'Assistant';border-radius: 9px;}
.mimsha_body .form-control::placeholder{color: var(--blackopcity);}
.LucidaGrande{font-family: 'Lucida Grande';}
.GeezaPro{ font-family: 'Geeza Pro';}
.main{border-radius: 14px;background-color: var(--darkgrey);  padding:20px 30px 70px 30px; margin-top: 108px; min-height: 100vh;}


.status_list{ width: 130px;padding: 10px 21px 10px 53px;border-radius: 14px;box-shadow: 0 10px 20px 0 rgba(0, 0, 0, 0.1);background-color: #fff; position: absolute;top: 50px; display: none;z-index: 2;}
.status_list li{font-size: 14px;line-height: 1.64; color: var(--black); cursor: pointer;}
.status_list li:hover{color: var(--blue);}

input[type=checkbox], input[type=radio]{width: 0px; height: 0px; position: absolute; opacity: 0; visibility: hidden;}
.checklabel{display: flex; width: 100%; align-items: center; margin: 0px; cursor: pointer;  font-weight: normal;}
.checklabel i{ font-size: 14px;line-height: 2.29; color: var(--black); width: 80%;}
.check{width: 22px;height: 22px;border-radius: 6px;border: solid 1px #d1d7e4; position: relative; margin-left: 23px;}
.check_in:checked + .checklabel .check::after{width: 12px;height: 9px; content: "";position: absolute; background: url(../image/tick.svg);top: 5px;right: 4px;}
.task {border-radius: 14px;height: 300px;overflow-y: scroll;}
.task ul.common_one:last-child {border: none;}

.wall_img {position: relative;width: 100px;}
.wall_con h4 {color: var(--black);font-weight: bold;margin-right: 13px;}
.wall_con h4 i {display: block;font-size: 14px;font-weight: normal;margin-top: 4px;}
.wall_img a {border-radius: 14px;box-shadow: 0 10px 20px 0 rgb(0 0 0 / 10%);background-color: var(--white);position: absolute;z-index: 2;left: 0;display: flex;right: 0;margin: auto;top: 10px;width: 42px;height: 42px;align-items: center;justify-content: center;}
.wall_img a:hover {opacity: 0.7;}
.wall_img2 a {position: relative;top: 0px;border-radius: 6px;}

.wall_img a.wall_con_img{width: 100px; margin: 0px; background: transparent;position: relative;top: 0px;height: inherit;}

.catalog_lft{padding: 30px 27px 0px 30px;border-radius: 14px;background-color: var(--white);}
.catalogout{width: 240px; display: inline-block; min-height: 305px; margin-left: 93px; margin-bottom: 30px;}
.catalogout:nth-child(3n){margin-left: 0px;}
.catalog_list{background-color: var(--darkgrey);border-radius: 14px;cursor: pointer; }
.catalog_img{border-radius: 14px; overflow: hidden; position: relative;}
.catalog_img .catalog-back{width: 100%;}
.catalog_con{padding: 0px 20px 12px 10px;}
.con_heading {padding-bottom: 2px; position: relative;}
.con_heading a{width: 22px;}
.con_heading h4{width: calc(100% - 22px); margin-left: 10px; padding-top: 10px;}
.catalog_con p{font-size: 14px; color: var(--black); padding: 2px 0px;}
.catalog_con span{color: var(--blackopcity); padding: 0px 1px;}
.catalog_con p .fa-star{color: var(--blue); margin: 0px 1px;}
.catalog_con p .fa-star.noncolor{color: #d0d4dd;}
.first_drop{width: 110px;padding: 17px 11px 15px 5px;border-radius: 14px;box-shadow: 0 10px 20px 0 rgba(0, 0, 0, 0.1);background-color: var(--white); position: absolute;left: -72px;top: 23px;z-index: 2; display: none;}
.first_drop li{display: block;}
.first_drop li a{font-size: 14px;line-height: 1.64; color: var(--black); display: flex; align-items: center; justify-content: space-between; width: 100%;}
.first_drop li a img{transform: rotate(90deg); width: 15px;}
.first_drop li:hover a{color: var(--blue);}
.second_drop_out{display: none; position: absolute;top: -20px; left: -125px;}
.second_drop{padding: 17px 11px 15px 11px;border-radius: 14px;box-shadow: 0 10px 20px 0 rgba(0, 0, 0, 0.1);background-color: var(--white); width: 110px;margin-right: 130px; z-index: 2; position: relative;}
.first_drop li:hover .second_drop_out{display: block;}
.second_drop li a{display: inline-block !important;width: max-content; color: var(--black) !important;}
.second_drop li a:hover{color: var(--blue) !important;}
.heart{width: 32px;height: 32px;border-radius: 9px;background-color: var( --white); position: absolute;display: flex;align-items: center;justify-content: center; top:5px; right: 5px; z-index: 1;}
.heart .heart_red{opacity: 0; visibility: hidden;position: absolute;}
.heartred .heart_red{opacity: 1; visibility: visible;position: relative;}
.heartred .heart_grey{opacity: 0; visibility: hidden;position: absolute;}
.overlay a{ width: 42px;height: 42px;border-radius: 14px;box-shadow: 0 10px 20px 0 rgba(0, 0, 0, 0.1);background-color: var(--white); display: flex;align-items: center;justify-content: center;  }
.overlay{position: absolute; width: 100%; height: 100%; top:0px; right: 0px;display: flex;align-items: center;justify-content: center;background-color: rgb(243 243 243 / 50%); display: none;transition: 0.5s ease all;-webkit-transition: 0.5s ease all; -moz-transition: 0.5s ease all;}
.catalog_img:hover .overlay{display: flex; transition: 0.5s ease all;-webkit-transition: 0.5s ease all; -moz-transition: 0.5s ease all;}


.subjectlist li a{ font-size: 14px; color: var(--blue2); display: block;padding: 4px 13px 6px 15px;border-radius: 14px; margin-left: 10px;}
.subjectlist li a.active{background-color: #e5f6ff;}
.subjectlist li:last-child a{margin-left: 0px;}
.subjectlist li a:hover{opacity: 0.5;}



/* modals */
.modal-dialog{max-width: 660px; height: 90%; display: flex; align-items: center; justify-content: center; margin: 20px auto;}
.modal-content{padding: 15px 11px 45px 0px;background-color: var(--darkgrey);border-radius: 14px; border: none;}
.adding_res{padding: 10px 60px 0px 60px;}
.adding_res h6{font-size: 16px; line-height: 1.38;border-radius: 9px;background-color: var(--white); color: rgb(58 74 102 / 50%); padding: 10px 15px; margin-top: 10px;}
.adding_res h5{font-size: 16px;font-weight: bold;line-height: 1.38; color: var(--black); padding-top: 40px; padding-bottom: 10px;}
.adding_res .row{margin: 0px -5px;}
.adding_res .col-sm-6{padding: 5px;}
.list_res{ padding: 16px 32px 13px;border-radius: 14px;background-color: #ffffff; text-align: center;}
.list_res span{ width: 42px;height: 42px; padding: 10px;border-radius: 6px;box-shadow: 0 10px 20px 0 rgba(0, 0, 0, 0.1);background-color: #ffffff; display: block;  margin: 0px auto;}
.list_res p{font-size: 16px;  line-height: 1.31; color: var(--black); padding-top: 20px;}
.white_strip{padding: 10px 10px 10px 25px;border-radius: 9px;background-color: var(--white); margin-top: 20px;display: flex;align-items: center;justify-content: space-between;}
.white_strip .catalog_con img{width: 100px; border-radius: 10px; margin-left: 20px;}
.checkmark{ width: 42px;height: 42px;padding: 7px;border-radius: 14px;box-shadow: 0 10px 20px 0 rgba(0, 0, 0, 0.1);background-color: var(--blue2); display: flex; align-items: center; justify-content: center;}
.white_con p{font-size: 16px; color: var(--blackopcity);}
.change_text img{display: none;}
.plan_btn{font-size: 14px; line-height: 1.29; color: var(--black); padding: 0px; border: 0px; outline: none; background: transparent;}
.blue_btn{border-radius: 19px;background-color: rgb(0 170 255 / 10%);font-size: 14px; font-weight: bold;color: var(--blue2);padding: 10px 30px 10px 30px;margin-right: 30px; min-width: 130px;}
.blue_btn:hover, .plan_btn:hover{opacity: 0.5;}
.checkdiv{padding: 5px 0px 15px;}
.link_strip{border-radius: 9px;background-color: rgba(255, 255, 255, 50%); margin-top: 20px; }
.link_strip a{display: inline-flex;font-size: 16px;color: var(--blue2);align-items: center;}
.link_strip span{ width: 42px;height: 42px;padding: 10px;border-radius: 6px;box-shadow: 0 10px 20px 0 rgba(0, 0, 0, 0.1);background-color: var(--white); margin-left: 20px; display: inline-block;}
.link_strip2{background: var(--white); width: 80%;}
.link_strip2 p{ font-size: 16px;color: var(--blackopcity);  line-height: 1.38; display: inline-block;}
.green_btn{ background-color: rgb(17 255 0 / 10%); display: none;font-weight: normal;}
#subjectname .grade_btn {margin-top: 20px;}
.link_strip .green_btn{color: #4de442;}
.link_strip .green_btn img{margin-left: 10px;}
#textpop p{line-height: 1.5; padding: 30px 0px;}
.plan_text p{ font-size: 14px; line-height: 1.29; color: var(--blackopcity); padding-top: 20px;}
.white_con p i{ margin-right: 72px;}
.nameoffile{font-size: 14px; padding-left: 16px; color: var(--black);}
#AddstudentsToGroup .modal-content{padding: 15px 11px 30px 0px;}
.student_list{ height: 380px;border-radius: 9px;background-color: var(--white); overflow: scroll; margin-top: 30px;}
.student_list::-webkit-scrollbar, .taskgoing_list::-webkit-scrollbar{display: none;}
.student_list li, .taskgoing_list li{font-size: 16px;line-height: 2.63; color: var(--black); display: flex; align-items: center; border-bottom: solid 1px rgb(209 215 228 / 50%); padding: 5px 40px 5px 27px; justify-content: space-between; cursor: pointer;}
.student_list li:last-child,.taskgoing_list li:last-child{border-bottom: 0px;}
.student_list li img{opacity: 0; visibility: hidden;}
.student_list li:hover, .student_list li.active{border-radius: 9px;background-color: #e5f6ff;}
.student_list li:hover img, .student_list li.active img{opacity: 1; visibility: visible;}
.add .link_strip2{width: 100%;}
.add .link_strip2 p{width: 100%;}
.add .link_strip2 p i{float: left; padding-left: 15px;}
#taskongoing p{font-size: 14px; color: var(--black);}
#taskongoing .modal-content{padding: 15px 11px 0px 0px;}
.taskgoing_head{padding-top: 7px;}
.taskgoing_head p span i{color: var(--blackopcity); margin-left: 5px;}
.taskgoing_list{height: 528px;border-radius: 9px;background-color: #fff; margin-top: 13px; overflow-y: scroll;}
.taskgoing_list li.active{background-color: #e5f6ff;}
.taskgoing_list li i{color: var(--blackopcity); width: 50%;}
.taskgoing_list li span{width: 50%;}
.taskgoing_list li img{width: 15px;}
.moadlpage a{display: block; margin: 10px 0px; width: max-content;}
#alert .modal-dialog{width: 430px;}
#alert .adding_res.text-center p{padding: 10px 0px 30px;}



@media (max-width: 1439px) {
    #addtask .modal-dialog, #edittask .modal-dialog, #AddstudentsToGroup .modal-dialog{height: 100vh;}
    #taskongoing .modal-dialog{height: 130vh;}
}
@media (max-width: 1199px) {
    .container{padding: 0px 15px;}
    .main{padding: 15px;}
  }
 